<?php
return  array(
    'columns'=> array(
        'op_id' => array(
            'type' => 'number',
            'autoincrement' => true,
            'label' => app::get('sysfinance')->_('操作id'),
            'comment' => app::get('sysfinance')->_('操作id'),
        ),
        'shop_id' => array(
            'type' => 'table:shop@sysshop',
            'required' => true,
            'label' => app::get('sysfinance')->_('所属店铺'),
            'comment' => app::get('sysfinance')->_('店铺id'),
            'in_list' => true,
            'default_in_list' => true,
            'order' => 1,
        ),
        'money' => array(
            'type' => 'money',
            'required' => true,
            'label' => app::get('sysfinance')->_('交易金额'),
            'comment' => app::get('sysfinance')->_('交易金额'),
            'in_list' => true,
            'default_in_list' => true,
            'filtertype' => 'number',
            'filterdefault' => true,
            'order' => 2,
        ),
        'op_type' => array(
            'type' => array(
                'recharge'=>'充值',
                'expense'=>'扣款',
                'configchange'=>'额度调整'
            ),
            'length' => 90,
            'required' => true,
            'default' => '',
            'in_list' => true,
            'default_in_list' => true,
            'filtertype' => 'custom',
            'filterdefault' => true,
            'label' => app::get('sysfinance')->_('交易类型'),
            'comment' => app::get('sysfinance')->_('交易类型(充值或者扣款)'),
            'order' => 4,
        ),
        'transaction_id' => array(
            'type' => 'string',
            'length' => 90,
            'in_list' => true,
            'default_in_list' => false,
            'label' => app::get('sysfinance')->_('银行交易流水号'),
            'comment' => app::get('sysfinance')->_('银行交易流水号'),
            'order' => 6,
        ),
        'penalty_reason' => array(
            'type' => 'string',
            'length' => 90,
            'in_list' => true,
            'default_in_list' => false,
            'label' => app::get('sysfinance')->_('处罚理由'),
            'comment' => app::get('sysfinance')->_('处罚理由'),
            'order' => 7,
        ),
        'violation_desc' => array(
            'type' => 'string',
            'length' => 500,
            'in_list' => true,
            'default_in_list' => false,
            'label' => app::get('sysfinance')->_('违规描述'),
            'comment' => app::get('sysfinance')->_('违规描述'),
            'order' => 8,
        ),
        'rel_tid' => array(
            'type' => 'string',
            'length' => 90,
            'in_list' => true,
            'default_in_list' => false,
            'label' => app::get('sysfinance')->_('关联订单编号'),
            'comment' => app::get('sysfinance')->_('关联订单编号'),
            'order' => 5,
        ),
        'memo' => array(
            'type' => 'string',
            'length' => 500,
            'required' => true,
            'default' => '',
            'in_list' => true,
            'default_in_list' => true,
            'filtertype' => 'custom',
            'filterdefault' => true,
            'label' => app::get('sysfinance')->_('备注'),
            'comment' => app::get('sysfinance')->_('备注'),
            'order' => 9,
        ),
        'admin_userid' => array(
            'type' => 'number',
            'required' => true,
            'comment' => app::get('system')->_('管理员id'),
            'label' => app::get('system')->_('管理员id'),
            'searchtype' => 'has',
            'filtertype' => 'yes',
            'filterdefault' => true,
        ),
        'admin_username' => array(
            'type' => 'string',
            'length' => '50',
            'required' => true,
            'comment' => app::get('system')->_('管理员用户名'),
            'label' => app::get('system')->_('管理员用户名'),
            'searchtype' => 'has',
            'filtertype' => 'yes',
            'filterdefault' => true,
            'width' => 70,
            'in_list' => true,
            'default_in_list' => true,
        ),
        'created_time' => array (
            'type' => 'time',
            'in_list' => true,
            'default_in_list' => true,
            'filtertype' => 'time',
            'filterdefault' => true,
            'is_title' => true,
            'comment' => app::get('ectools')->_('日志创建时间'),
            'label' => app::get('ectools')->_('日志创建时间'),
            'order' =>3,
        ),
    ),
    'primary' => 'op_id',
    'index' => array (
        'ind_shop_id' => ['columns' => ['shop_id']],
        'ind_created_time' => ['columns' => ['created_time']],
    ),
    'comment' => app::get('sysfinance')->_('保证金交易记录表'),
);

