<?php
return array(
    'columns' => array(
        'log_id' => array(
            'type' => 'number',
            'required' => true,
            'autoincrement' => true,
        ),
        'seller_userid' => array(
            'type' => 'number',
            'required' => true,
            'comment' => app::get('sysshop')->_('店员id'),
            'label' => app::get('sysshop')->_('店员id'),
            'searchtype' => 'has',
            'filtertype' => 'yes',
            'filterdefault' => true,
            'in_list' => true,
            'default_in_list' => true,
        ),
        'seller_username' => array(
            'type' => 'string',
            'length' => '50',
            'required' => true,
            'comment' => app::get('sysshop')->_('店员用户名'),
            'label' => app::get('syssohp')->_('店员用户名'),
            'searchtype' => 'has',
            'filtertype' => 'yes',
            'filterdefault' => true,
            'width' => 70,
            'in_list' => true,
            'default_in_list' => true,
        ),
        'shop_id' => array(
            'type' => 'number',
            'required' => true,
            'comment' => app::get('sysshop')->_('店铺id'),
            'label' => app::get('sysshop')->_('店铺id'),
            'searchtype' => 'has',
            'filtertype' => 'yes',
            'filterdefault' => true,
        ),
        'login_time' => array(
            'type' => 'time',
            'required' => true,
            'comment' => app::get('sysshop')->_('登录时间'),
            'label' => app::get('sysshop')->_('登录时间'),
            'filtertype' => 'yes',
            'filterdefault' => true,
            'width' => 120,
            'in_list' => true,
            'default_in_list' => true,
        ),
       'ip' => array(
            'type' => 'string',
            'length' => '15',
            'comment' => app::get('sysshop')->_('IP'),
            'label' => app::get('sysshop')->_('IP'),
            'width' => 100,
            'in_list' => true,
            'default_in_list' => true,
       ),
    ),
    'primary' => 'log_id',
    'index' => array(
        'ind_logintime' => ['columns' => ['login_time']],
        'ind_sellerusername' => ['columns' => ['seller_username']],
        'ind_shop_id' => ['columns' => ['shop_id']],
    ),
    'comment' => app::get('sysshop')->_('店铺登录操作日志表'),
);
